Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230883 - wrong irq set for r8169 driver in /etc/modprobe.conf (was: r8169 fails to be modprobed, but can be insmoded)
Summary: wrong irq set for r8169 driver in /etc/modprobe.conf (was: r8169 fails to be ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 07:14 UTC by Pontus Enhager
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 20:52:32 UTC


Attachments (Terms of Use)

Description Pontus Enhager 2007-03-04 07:14:49 UTC
Description of problem:
No automatic network access due to failure to modprobe the r8169 driver

Version-Release number of selected component (if applicable):
[pontus@selleri ~]$ cat /proc/version 
Linux version 2.6.19-1.2911.6.4.fc6 (brewbuilder@hs20-bc2-2.build.redhat.com)
(gcc version 4.1.1 20070105 (Red Hat 4.1.1-51)) #1 SMP Sat Feb 24 14:03:48 EST 2007

lspci yields (among others)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 01)

How reproducible:
always

Steps to Reproduce:
1.boot computer or try "modprobe r8169"
2.loading of module fails
3.

Actual results:
in /var/log/messages and /var/log/dmesg:
Mar  4 06:32:14 selleri kernel: r8169: Unknown parameter `irq'

Expected results:


Additional info:
i have created an initscript of my own, "insmod"-ing the module by hand:

#/bin/bash
insmod /lib/modules/$(uname -r)/kernel/drivers/net/r8169.ko
echo inserting r8169 module

that works flawlessly!
i guess that this should work out of the box though!
i can provide more information if needed, just ask

Comment 1 Pontus Enhager 2007-03-04 07:35:47 UTC
i should probably add that the module has never succeeded to be modprobed since
its inclusion (2.6.19-x) i just have not taken the time to report the issue

Comment 2 Pontus Enhager 2007-03-05 17:55:09 UTC
[root@selleri ~]# modprobe -v r8169
insmod /lib/modules/2.6.19-1.2911.6.4.fc6/kernel/drivers/net/r8169.ko irq=6 
FATAL: Error inserting r8169
(/lib/modules/2.6.19-1.2911.6.4.fc6/kernel/drivers/net/r8169.ko): Unknown symbol
in module, or unknown parameter (see dmesg)


Comment 3 Pontus Enhager 2007-03-05 17:56:05 UTC
[root@selleri ~]# lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) Serial ATA
Storage Controller IDE (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GT] (rev a1)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 01)
04:00.0 FireWire (IEEE 1394): NEC Corporation uPD72874 IEEE1394 OHCI 1.1 3-port
PHY-Link Ctrlr (rev 01)
04:01.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 11)
04:01.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)

[root@selleri ~]# ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:16:E6:33:6F:45  
          inet addr:83.226.207.33  Bcast:83.226.207.255  Mask:255.255.248.0
          inet6 addr: fe80::216:e6ff:fe33:6f45/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:516 errors:0 dropped:0 overruns:0 frame:0
          TX packets:576 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:409330 (399.7 KiB)  TX bytes:83326 (81.3 KiB)
          Interrupt:19 Base address:0xc000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:28 errors:0 dropped:0 overruns:0 frame:0
          TX packets:28 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:5014 (4.8 KiB)  TX bytes:5014 (4.8 KiB)


Comment 4 Pontus Enhager 2007-03-08 20:41:30 UTC
ok it seems that this is likely not a kernel bug but a failure in whatever
program puts the following text into /etc/modprobe.conf

options r8169  irq=6 

i do not know whether it is system-config-network or kudzu or whatever - any
clue to what package i should report that to ?


Note You need to log in before you can comment on or make changes to this bug.